Skip to main content
POST
/
abdm
/
v1
/
consents
/
create
cURL
curl --request POST \
  --url https://api.eka.care/abdm/v1/consents/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "appointment_id": "<string>",
  "care_contexts": [
    {
      "cc_ref": "<string>",
      "patient_ref": "<string>"
    }
  ],
  "hip_identifier": {
    "id": "<string>",
    "name": "<string>"
  },
  "hiu": {
    "clinic_id": "<string>",
    "d_oid": "<string>",
    "requester": {
      "identifier": {
        "system": "<string>",
        "type": "<string>",
        "value": "<string>"
      },
      "name": "<string>"
    }
  },
  "patient": {
    "health_id": "<string>",
    "oid": "<string>"
  },
  "period": {
    "expiry": "2023-11-07T05:31:56Z",
    "from": "2023-11-07T05:31:56Z",
    "to": "2023-11-07T05:31:56Z"
  }
}
'
import requests

url = "https://api.eka.care/abdm/v1/consents/create"

payload = {
"appointment_id": "<string>",
"care_contexts": [
{
"cc_ref": "<string>",
"patient_ref": "<string>"
}
],
"hip_identifier": {
"id": "<string>",
"name": "<string>"
},
"hiu": {
"clinic_id": "<string>",
"d_oid": "<string>",
"requester": {
"identifier": {
"system": "<string>",
"type": "<string>",
"value": "<string>"
},
"name": "<string>"
}
},
"patient": {
"health_id": "<string>",
"oid": "<string>"
},
"period": {
"expiry": "2023-11-07T05:31:56Z",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appointment_id: '<string>',
care_contexts: [{cc_ref: '<string>', patient_ref: '<string>'}],
hip_identifier: {id: '<string>', name: '<string>'},
hiu: {
clinic_id: '<string>',
d_oid: '<string>',
requester: {
identifier: {system: '<string>', type: '<string>', value: '<string>'},
name: '<string>'
}
},
patient: {health_id: '<string>', oid: '<string>'},
period: {
expiry: '2023-11-07T05:31:56Z',
from: '2023-11-07T05:31:56Z',
to: '2023-11-07T05:31:56Z'
}
})
};

fetch('https://api.eka.care/abdm/v1/consents/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "consent_init_id": "<string>"
}
{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}
{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

The API requires a Bearer token (JWT) for authentication.

Headers

X-Pt-Id
string

Eka User ID (OID)

X-Partner-Pt-Id
string

Partner User ID

X-Hip-Id
string

Partner HIP ID

Body

application/json
appointment_id
string
care_contexts
object[]
hip_identifier
object
hiu
object
patient
object
period
object
purpose
enum<string>
Available options:
Self Requested,
Care management,
Public Health,
Disease Specific Health Research
record_types
string[] | null

Available options: OPConsultation, Prescription, DischargeSummary, DiagnosticReport, ImmunizationRecord, HealthDocumentRecord, WellnessRecord

Response

No Content